[Pkg-ocaml-maint-commits] [SCM] jocaml packaging branch, master, updated. debian/3.11.0-3-23-g34a742d
Mehdi Dogguy
dogguy at pps.jussieu.fr
Tue Jul 7 19:23:35 UTC 2009
The following commit has been merged in the master branch:
commit a8251fcc3755a373035d1c7982188e370e169213
Author: Mehdi Dogguy <dogguy at pps.jussieu.fr>
Date: Tue Jul 7 17:18:37 2009 +0200
Install a modified version of jocamlmktop
diff --git a/debian/jocamlmktop b/debian/jocamlmktop
new file mode 100755
index 0000000..3723ae9
--- /dev/null
+++ b/debian/jocamlmktop
@@ -0,0 +1,25 @@
+#!/bin/sh
+
+set -e
+
+jocamlc -linkall toplevellib.cma "$@" topstart.cmo
+
+if [[ $? -eq 0 ]] ; then
+ TOP=`echo $@ | sed -n 's/.*-o \([^ ]*\).*/\1/gp'`
+ if [[ "$TOP" == "" ]] ; then
+ TOP="a.out"
+ fi
+ if [ ! -f "a.out" ] ; then
+ echo "$0: -o option should have an argument"
+ exit 1
+ else if [ ! -f "$TOP" ] ; then
+ echo "$0: The generated toplevel doesn't exist"
+ exit 1
+ else
+ TMP=`mktemp`
+ mv $TOP $TMP
+ /usr/lib/jocaml/expunge $TMP $TOP -v Parsetree Env Types
+ rm -f $TMP
+ fi
+ fi
+fi
diff --git a/debian/rules b/debian/rules
index e79927c..47711e0 100755
--- a/debian/rules
+++ b/debian/rules
@@ -51,9 +51,11 @@ endif
mkdir -p $(CURDIR)/debian/tmp/usr
$(MAKE) PREFIX=$(CURDIR)/debian/tmp/usr LIBDIR=$(CURDIR)/debian/tmp/$(JOCAML_STDLIB_DIR) install
cd $(CURDIR)/debian/tmp/usr/bin; \
- for i in ocamldep ocamldep.opt ocamlprof ocamlcp ocamlmktop ocamlmklib; do \
+ for i in ocamldep ocamldep.opt ocamlprof ocamlcp ocamlmklib; do \
if [ -e $$i ]; then mv $$i j$$i; fi; \
done
+ cp -f debian/jocamlmktop $(CURDIR)/debian/tmp/usr/bin
+ $(RM) -f $(CURDIR)/debian/tmp/usr/bin/ocamlmktop
mkdir -p debian/tmp/usr/share/lintian/overrides
cp debian/jocaml.lintian-overrides debian/tmp/usr/share/lintian/overrides/jocaml
echo 'F:JOCamlABI=$(JOCAML_ABI)' >> debian/jocaml.substvars
--
jocaml packaging
More information about the Pkg-ocaml-maint-commits
mailing list